package com.wikihouse.wildcats0201.jdbcchart;

import java.sql.Connection;

import org.jfree.data.general.Dataset;

import com.wikihouse.wildcats0201.jdbcchart.reflectionutil.ClassWrapper;
import com.wikihouse.wildcats0201.jdbcchart.reflectionutil.ConstructorWrapper;

/**
 * <B>DatasetFactory </B>. DatasetFactoryłB
 * 
 * @see org.jfree.data.general.Dataset
 * @author $Author: wildcats $
 * @version $Revision: 5 $
 */
public final class DatasetFactory {

    private DatasetFactory() {
    }

    public static Dataset create(String className, Connection conn, String sql) {
        ClassWrapper clazz = new ClassWrapper(className);
        ConstructorWrapper constructor = clazz.getConstructor(new Class[] {
                Connection.class, String.class });
        return (Dataset) constructor.newInstance(new Object[] { conn, sql });
    }

}
