package com.wikihouse.wildcats0201.jdbcchart.dom4j;

import org.dom4j.Document;
import org.dom4j.DocumentException;
import org.dom4j.io.SAXReader;

/**
 * <B>SAXReaderWrapperFactory </B>. SAXReaderWrapperFactoryłB
 * 
 * @author $Author: wildcats $
 * @version $Revision: 5 $
 */
public final class SAXReaderWrapperFactory {

    private SAXReaderWrapperFactory() {
    }

    /**
     * .
     * 
     * @return SAXParser
     */
    public static SAXReaderWrapper create() {
        return new SAXReaderWrapperImpl();
    }

    /**
     * <B>SAXReaderWrapperImpl </B>. SAXReaderWrapper̎łB
     * 
     * @author $Author: wildcats $
     * @version $Revision: 5 $
     */
    private static class SAXReaderWrapperImpl implements SAXReaderWrapper {

        /**
         * @see com.wikihouse.wildcats0201.jdbcchart.dom4j.SAXReaderWrapper#parse(java.net.URL)
         */
        public Document parse(String filename) throws DocumentException {
            SAXReader reader = new SAXReader();
            Document document = reader.read(filename);
            return document;
        }

    }

}
