package com.wikihouse.wildcats0201.jdbcchart.fsutil;

import java.io.File;

/**
 * <B>DirectoryTest </B>.
 * 
 * @author $Author: wildcats $
 * @version $Revision: 2 $
 */
public class DirectoryTest extends AbstractPathTest {

    public static void main(String[] args) {
        junit.textui.TestRunner.run(DirectoryTest.class);
    }

    public void testMake() {
        Directory directory1 = DirectoryFactory.create(location1);
        directory1.make();
        assertTrue(new File(location1).isDirectory());
        Directory directory2 = DirectoryFactory.create(location2);
        directory2.make();
        assertTrue(new File(location2).isDirectory());
        directory1.make();

        new File(File.separatorChar + "Test" + File.separatorChar + "Test1"
                + File.separatorChar).delete();
        new File(File.separatorChar + "Test" + File.separatorChar).delete();
        new File(File.separatorChar + "Test1" + File.separatorChar + "Test2"
                + File.separatorChar + "Test3" + File.separatorChar).delete();
        new File(File.separatorChar + "Test1" + File.separatorChar + "Test2"
                + File.separatorChar).delete();
        new File(File.separatorChar + "Test1" + File.separatorChar).delete();
    }

}
